<template>
    <base-layout>
    <h1 class="mt-4">Add a contact</h1>
       <ol class="breadcrumb mb-4">
         
     </ol>
     <hr>
     <ol class="breadcrumb mb-4">
         
     </ol>
     <div class="card mb-4">
         <div class="card-header">
           <i class="fas fa-columns me-1"></i>
             Contacts
       </div>
       <div class="card-body">
         <div class="container">
           <div class="row">
             <div class="col-md-offset-1 col-md-10">
               <div class="panel">
                 <div class="panel-heading">
                   <div class="row">
                     <div class="col-sm-12 col-xs-12">
     
                       <!-- Modal --> <div class="content-wrapper">
     <!-- Content Header (Page header) -->
     <section class="content-header">
        
     </section>
 
     <section class="content">
 
         <div class="row">
             <!-- left column -->
             <div class="col-md-8">
                 <!-- general form elements -->
 
 
 
                 <div class="box box-primary">
                     
                     <form role="form" id="addUser"  >
                         <div class="box-body">
                             <div class="row">
                                 <div class="col-md-6">
                                 
                                 <div class="col-md-6">
                                     
                                         <div class="form-group">
                                            <label for="fname">Email of contact</label>
                                            <select class="form-control required" id="role" >
                                                <option v-for="user in users"
                                                :key="user.id"
                                                :label="user.email"
                                                :value="user.email"
                                   ></option>
                                                
                                             
                                            </select>
                                        </div>
                                     
                                 </div>
                             </div>
                         </div>
                         </div>
                         &nbsp;
 
                         <div class="box-footer">
                            <button type="submit" class="btn btn-success">Search</button>
                             
                         </div>
                     </form>
                 </div>
             </div>
            
             </div>
         
     </section>
 </div>
                       
                     </div>
     
                   </div>
                 </div>
                 
 
               </div>
             </div>
           </div>
         </div>
       </div>
       </div>
   
     </base-layout>
</template>

<script>
import { HTTP } from "../api/api.js"
import util from '../api/util.js';

export default{
    data(){
        return{
            users:[]
        }
    },
    methods:{
        getUsers: async function() {
      await HTTP.get(`user/all`, util.getToken())
        .then(res => {
          this.total = res.data.totalElements;
          this.users = res.data;
          console.log(this.users);
        })
        .catch(e => {
          console.log(e);
          
        });
    },
    },
    mounted(){
        this.getUsers()
    }
}
</script>